> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-add-agent-server-rest-api-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Providers

> List all available LLM providers supported by LiteLLM.



## OpenAPI

````yaml openapi/agent-server.json get /api/llm/providers
openapi: 3.1.0
info:
  title: OpenHands Agent Server
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  version: 0.1.0
servers: []
security: []
paths:
  /api/llm/providers:
    get:
      tags:
        - LLM
      summary: List Providers
      description: List all available LLM providers supported by LiteLLM.
      operationId: list_providers_api_llm_providers_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProvidersResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProvidersResponse:
      properties:
        providers:
          items:
            type: string
          type: array
          title: Providers
      type: object
      required:
        - providers
      title: ProvidersResponse
      description: Response containing the list of available LLM providers.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Session-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.